Get follower information

Auth

Get information about all cross-cluster replication follower indices. For example, the results include follower index names, leader index names, replication options, and whether the follower indices are active or paused.

About cross-cluster replication

Required privileges

Cluster privileges monitor

Path parameters

index union string | string[] required

A comma-delimited list of follower index patterns.

Query parameters

master_timeout string · default: 30s

The period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. It can also be set to -1 to indicate that the request should never timeout.

Response

application/json
follower_indices object[] required
follower_index string required

The name of the follower index.

leader_index string required

The name of the index in the leader cluster that is followed.

remote_cluster string required

The remote cluster that contains the leader index.

status enum required

The status of the index following: active or paused.

Values: active paused